#
#  cell.rb
#  MazeWarper
#
#  Created by Mayur Pawashe on 8/30/08.
#  Copyright (c) 2008 zgcoder. All rights reserved.
#

require 'wall'

CELL_TYPE_IN =        1
CELL_TYPE_FRONTIER =  2
CELL_TYPE_OUT =       3

class Cell
  attr_accessor :type, :marked
  attr_reader :x, :y, :right_wall, :left_wall, :top_wall, :bottom_wall
  
  def initialize(x, y)
    @x = x
    @y = y
    @type = CELL_TYPE_OUT
    @right_wall = Wall.new
    @left_wall = Wall.new
    @top_wall = Wall.new
    @bottom_wall = Wall.new
    @marked = false
  end
end
