#
#  maze_controller.rb
#  MazeWarper
#
#  Created by Mayur Pawashe on 8/30/08.
#  Copyright (c) 2008 zgcoder. All rights reserved.
#

require 'maze'

class MazeController
  attr_reader :maze
  attr_accessor :needs_to_redisplay_2D_maze, :needs_to_redisplay_3D_maze
  @@maze_size = 5
  
  def initialize
    @maze = Maze.new(@@maze_size, 2.0)
    @@maze_size += 5 if @@maze_size < 25
    @needs_to_redisplay_2D_maze = true
    @needs_to_redisplay_3D_maze = true
  end
end
