#
#  player.rb
#  MazeWarper
#
#  Created by Mayur Pawashe on 8/30/08.
#  Copyright (c) 2008 zgcoder. All rights reserved.
#

require 'vector'
require 'quaternion'

class Player
  attr_accessor :position, :direction, :yaw, :pitch
  
  def initialize(x, y, z)
    @position = Vector.new(x, y, z)
    @direction = Vector.new(0.0, 0.0, 1.0)
    @yaw = 0.0
    @pitch = 0.0
  end
end
